/// <reference path="GO.Flug.ts" />

import FlugGO = DemoFlug.GO;

// Module
module DemoFlug.GL {

 export var Orte: string[] = ["Essen", "Berlin", "Hamburg", "München", "Köln"];

 function createTestData() {
  // Zufallsobjekte erzeugen
  for (var i: number = 1; i <= 100; i++) {
   var Zufall1: number = (Math.round((Math.random() * 4)));
   var Zufall2: number = (Math.round((Math.random() * 3)));
   var Zufall3: number = (Math.round((Math.random() * 250)));
   // document.write(Zufall.toString() + "<br>");
   var f: FlugGO.IFlug = new FlugGO.Flug(i, Orte[Zufall1], Orte[Zufall2], Zufall3, new Date());
  } // end for
 } // end function

 // Class
 export class FlugManager {
  constructor() {
   createTestData();
  }

  /**
Holt alle Flüge von einem Ort, nach dem gefiltert werden soll
@param ort Abflugort
*/

  // Alternativ: GO.Flug[]
  getAll(ort: string = ""): Array<GO.Flug> {


   // Zugriff auf Liste
   var liste: Array<GO.Flug> = GO.Flug.alleFluege;

   // Filtern
  if (ort != "") { liste = liste.filter((x: GO.Flug) => x.abflugort == ort) };

   return liste;
  }

 }

}

